GET
List accounts

Authorizations

Authorization
string
header
required

The user's access_token from authentication. The program and environment come from the token.

Path Parameters

customerId
string
required

The customer's ID.

Query Parameters

accountId
string

Filter by account ID(s), comma-separated.

currency
string

Filter by currency code(s), e.g. GBP,EUR.

status
string

Filter by status(es), comma-separated. Values match exactly, in upper case, e.g. ACTIVE.

accountName
string

Filter by account name(s), comma-separated. Names are matched as text, not exactly.

accountType
string

Filter by account type(s), comma-separated.

iban
string

Filter by IBAN(s), comma-separated.

accountNumber
string

Filter by account number(s), comma-separated.

sortCode
string

Filter by sort code(s), comma-separated.

accountProviderAccountId
string

Filter by the provider's account ID(s), comma-separated.

provider
string

Filter by provider(s), comma-separated.

created
string

Filter by exact creation timestamp(s), comma-separated. For ranges use fromDate / toDate.

fromDate
string

Accounts created on or after this date.

toDate
string

Accounts created on or before this date.

page
integer
default:1
limit
integer
default:10

Items per page.

sortBy
string
default:created
sortOrder
enum<string>
default:desc
Available options:
asc,
desc

Response

Accounts

success
boolean
Example:

true

data
object[]
total
integer
Example:

2

page
integer
Example:

1

limit
integer
Example:

10